com.io7m.r2.filters

## Class R2ShaderFilterLightApplicatorParameters

- java.lang.Object
- - com.io7m.r2.filters.R2ShaderFilterLightApplicatorParameters

- All Implemented Interfaces:
    R2ShaderFilterLightApplicatorParametersType

      @Generated(value={"Immutables.generator","R2ShaderFilterLightApplicatorParametersType"})
      public final class R2ShaderFilterLightApplicatorParameters
      extends Object
      implements R2ShaderFilterLightApplicatorParametersType

  Parameters for the light applicator shader

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `R2ShaderFilterLightApplicatorParameters.Builder` Builds instances of type `R2ShaderFilterLightApplicatorParameters`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2Texture2DUsableType` | `albedoTexture()`
    `static R2ShaderFilterLightApplicatorParameters.Builder` | `builder()` Creates a builder for `R2ShaderFilterLightApplicatorParameters`.
    `static R2ShaderFilterLightApplicatorParameters` | `copyOf(R2ShaderFilterLightApplicatorParametersType instance)` Creates an immutable copy of a `R2ShaderFilterLightApplicatorParametersType` value.
    `R2Texture2DUsableType` | `diffuseTexture()`
    `boolean` | `equals(Object another)` This instance is equal to all instances of `R2ShaderFilterLightApplicatorParameters` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `albedoTexture`, `diffuseTexture`, `specularTexture`.
    `static R2ShaderFilterLightApplicatorParameters` | `of(R2Texture2DUsableType albedoTexture, R2Texture2DUsableType diffuseTexture, R2Texture2DUsableType specularTexture)` Construct a new immutable `R2ShaderFilterLightApplicatorParameters` instance.
    `R2Texture2DUsableType` | `specularTexture()`
    `String` | `toString()` Prints the immutable value `R2ShaderFilterLightApplicatorParameters` with attribute values.
    `R2ShaderFilterLightApplicatorParameters` | `withAlbedoTexture(R2Texture2DUsableType value)` Copy the current immutable object by setting a value for the `albedoTexture` attribute.
    `R2ShaderFilterLightApplicatorParameters` | `withDiffuseTexture(R2Texture2DUsableType value)` Copy the current immutable object by setting a value for the `diffuseTexture` attribute.
    `R2ShaderFilterLightApplicatorParameters` | `withSpecularTexture(R2Texture2DUsableType value)` Copy the current immutable object by setting a value for the `specularTexture` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### albedoTexture

          public R2Texture2DUsableType albedoTexture()

      Specified by:
        `albedoTexture` in interface `R2ShaderFilterLightApplicatorParametersType`
      Returns:
        The texture that contains the surface albedo term

    - #### diffuseTexture

          public R2Texture2DUsableType diffuseTexture()

      Specified by:
        `diffuseTexture` in interface `R2ShaderFilterLightApplicatorParametersType`
      Returns:
        The texture that contains the diffuse lighting term

    - #### specularTexture

          public R2Texture2DUsableType specularTexture()

      Specified by:
        `specularTexture` in interface `R2ShaderFilterLightApplicatorParametersType`
      Returns:
        The texture that contains the specular lighting term

    - #### withAlbedoTexture

          public final R2ShaderFilterLightApplicatorParameters withAlbedoTexture(R2Texture2DUsableType value)

      Copy the current immutable object by setting a value for the `albedoTexture` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for albedoTexture
      Returns:
        A modified copy of the `this` object

    - #### withDiffuseTexture

          public final R2ShaderFilterLightApplicatorParameters withDiffuseTexture(R2Texture2DUsableType value)

      Copy the current immutable object by setting a value for the `diffuseTexture` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for diffuseTexture
      Returns:
        A modified copy of the `this` object

    - #### withSpecularTexture

          public final R2ShaderFilterLightApplicatorParameters withSpecularTexture(R2Texture2DUsableType value)

      Copy the current immutable object by setting a value for the `specularTexture` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for specularTexture
      Returns:
        A modified copy of the `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `R2ShaderFilterLightApplicatorParameters` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `albedoTexture`, `diffuseTexture`, `specularTexture`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `R2ShaderFilterLightApplicatorParameters` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static R2ShaderFilterLightApplicatorParameters of(R2Texture2DUsableType albedoTexture,
                                                                   R2Texture2DUsableType diffuseTexture,
                                                                   R2Texture2DUsableType specularTexture)

      Construct a new immutable `R2ShaderFilterLightApplicatorParameters` instance.
      Parameters:
        `albedoTexture` - The value for the `albedoTexture` attribute
        `diffuseTexture` - The value for the `diffuseTexture` attribute
        `specularTexture` - The value for the `specularTexture` attribute
      Returns:
        An immutable R2ShaderFilterLightApplicatorParameters instance

    - #### copyOf

          public static R2ShaderFilterLightApplicatorParameters copyOf(R2ShaderFilterLightApplicatorParametersType instance)

      Creates an immutable copy of a `R2ShaderFilterLightApplicatorParametersType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable R2ShaderFilterLightApplicatorParameters instance

    - #### builder

          public static R2ShaderFilterLightApplicatorParameters.Builder builder()

      Creates a builder for `R2ShaderFilterLightApplicatorParameters`.
      Returns:
        A new R2ShaderFilterLightApplicatorParameters builder

Copyright © 2016 <code@io7m.com> http://io7m.com